apiVersion: apps/v1
kind: Deployment
metadata:
  name: hhb-notificationservice
  labels:
    name: hhb-notificationservice
spec:
  replicas: 1
  selector:
    matchLabels:
      name: hhb-notificationservice
  template:
    metadata:
      labels:
        name: hhb-notificationservice
    spec:
      containers:
        - name: hhb-notificationservice
          image: notificationservice
          imagePullPolicy: Always
          envFrom:
            - configMapRef:
                name: postgres-config
            - configMapRef:
                name: backend-auth-config
          ports:
            - name: http
              containerPort: 8000
              protocol: TCP
            - name: metrics
              containerPort: 9000
              protocol: TCP
          startupProbe:
            httpGet:
              path: /healthcheck
              port: http
            periodSeconds: 10
            failureThreshold: 60
          livenessProbe:
            httpGet:
              path: /healthcheck
              port: http
            periodSeconds: 10
          readinessProbe:
            httpGet:
              path: /healthcheck
              port: http
            periodSeconds: 10
          resources:
            requests:
              memory: 200Mi
          env:
            - name: LOG_LEVEL
              value: INFO
            - name: HHB_RABBITMQ_HOST
              value: hhb-rabbitmq
            - name: HHB_RABBITMQ_PORT
              value: "5672"
            - name: HHB_RABBITMQ_USER
              valueFrom:
                configMapKeyRef:
                  name: rabbitmq-config
                  key: RABBITMQ_DEFAULT_USER
            - name: HHB_RABBITMQ_PASS
              valueFrom:
                configMapKeyRef:
                  name: rabbitmq-config
                  key: RABBITMQ_DEFAULT_PASS
